Kea: isc::radius::RadiusStatus Class Reference

| Kea 3.2.0-git

isc::radius::RadiusStatus Class Reference

Base class for communication with servers. More...

`#include <radius_status.h>`

Inheritance diagram for isc::radius::RadiusStatus:
[legend]

## Public Member Functions
| RadiusStatus ()
| Constructor.
virtual | ~RadiusStatus ()=default
| Destructor.
ExchangePtr | getExchange ()
| Get the exchange.
int | getRC () const
| Get the error code.
AttributesPtr | getReqAttrs () const
| Get request attributes.
AttributesPtr | getRespAttrs () const
| Get response attributes.
virtual void | start ()
| Start communication.

## Protected Attributes
ExchangePtr | exchange_
| Exchange.

## Detailed Description

Base class for communication with servers.

Definition at line 28 of file radius_status.h.

## Constructor & Destructor Documentation

## ◆ RadiusStatus()

isc::radius::RadiusStatus::RadiusStatus | ( |  | ) |
| inline

Constructor.

Definition at line 32 of file radius_status.h.

References exchange_.

Referenced by isc::radius::RadiusAcctStatus::RadiusAcctStatus(), isc::radius::RadiusAuthStatus::RadiusAuthStatus(), and isc::radius::RadiusTlsStatus::RadiusTlsStatus().

## ◆ ~RadiusStatus()

virtual isc::radius::RadiusStatus::~RadiusStatus | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getExchange()

ExchangePtr isc::radius::RadiusStatus::getExchange | ( |  | ) |
| inline

Get the exchange.

Returns
  The exchange.

Definition at line 75 of file radius_status.h.

References exchange_.

## ◆ getRC()

int isc::radius::RadiusStatus::getRC | ( |  | ) | const
| inline

Get the error code.

Definition at line 46 of file radius_status.h.

References exchange_.

## ◆ getReqAttrs()

AttributesPtr isc::radius::RadiusStatus::getReqAttrs | ( |  | ) | const
| inline

Get request attributes.

Returns
  attributes from the to be sent request message.

Definition at line 53 of file radius_status.h.

References exchange_.

## ◆ getRespAttrs()

AttributesPtr isc::radius::RadiusStatus::getRespAttrs | ( |  | ) | const
| inline

Get response attributes.

Returns
  attributes from the received response message.

Definition at line 64 of file radius_status.h.

References exchange_.

## ◆ start()

virtual void isc::radius::RadiusStatus::start | ( |  | ) |
| inlinevirtual

Start communication.

Initiates the (first) exchange.

Reimplemented in isc::radius::RadiusAcctStatus, isc::radius::RadiusAuthStatus, and isc::radius::RadiusTlsStatus.

Definition at line 41 of file radius_status.h.

References exchange_.

Referenced by isc::radius::RadiusAcctStatus::start(), isc::radius::RadiusAuthStatus::start(), and isc::radius::RadiusTlsStatus::start().

## Member Data Documentation

## ◆ exchange_

ExchangePtr isc::radius::RadiusStatus::exchange_
| protected

Exchange.

Definition at line 81 of file radius_status.h.

Referenced by isc::radius::RadiusAcctStatus::RadiusAcctStatus(), isc::radius::RadiusAuthStatus::RadiusAuthStatus(), RadiusStatus(), isc::radius::RadiusTlsStatus::RadiusTlsStatus(), getExchange(), getRC(), getReqAttrs(), getRespAttrs(), isc::radius::RadiusAcctStatus::start(), isc::radius::RadiusAuthStatus::start(), start(), and isc::radius::RadiusTlsStatus::start().

The documentation for this class was generated from the following file:

- radius_status.h